echo off
rem ############################################################################
rem # DATE:        07/10/02
rem # VERSION:     1.0
rem # COPYRIGHT:   Licensed Material - Property of IBM \n5648-C63 (c) Copyright
rem #              IBM Corp. 2002 - All Rights Reserved. 
rem #              US Government Users Restricted Rights - Use, duplication or 
rem #              disclosure
rem #              restricted by GSA ADP Schedule Contract with IBM Corp.
rem #
rem # FILENAME:    grantOnDB2Database.bat
rem # DESCRIPTION: This BAT file grants specific authorities for a given user
rem #              on database %1.
rem #              (DB2 Version)
rem # 
rem # AUTHOR:      Stephen Rea, Oct 2001.
rem #
rem # HISTORY:     
rem ############################################################################
rem 
rem Reset any database connection context there may be

rem first terminate backend
echo on
db2 terminate
echo off

rem Establish a connection to '%1' database
echo on
db2 connect to %1
echo off

rem grant connection privileges on this DATABASE to public to allow ANY database
rem user to connect to it as well as INSERT, DELETE, UPDATE, etc. any table
rem definitions within.
rem
rem Using:
rem       grant connect on database to user <userid>
rem would restrict such activity to a given user.
rem
echo on
db2 grant BINDADD on database to user %2
db2 grant CONNECT on database to user %2
db2 grant CREATETAB on database to user %2
db2 grant CREATE_NOT_FENCED on database to user %2
db2 grant IMPLICIT_SCHEMA on database to user %2
db2 grant DBADM on database to user %2
db2 grant LOAD on database to user %2
echo off
        
rem Reset any database connection context there may be

rem End of grantOnDB2Database.bat database activity
echo on
db2 terminate
echo off

