@echo off
rem /* IBM Confidential
rem  *
rem  * OCO Source Materials
rem  *
rem  * 5724-E11
rem  * 5724-E26
rem  * (C) Copyright IBM Corp. 2002
rem  *
rem  * The source code for this program is not published or otherwise
rem  * divested of its trade secrets, irrespective of what has been deposited
rem  * with the U.S. Copyright office
rem  */
rem
rem  %1 - irrelevant
rem  %2 - The path to this shell script
rem  %3 - The mqsiprofile script
rem  %4 - The Command number to perform (see EouTaskNumbers.java)
rem  %5+ - Command args
  
if %4 NEQ -1 goto NOTDB2PATH

  rem ### return DB2PATH environment settings -  ###

  rem @echo on
  db2set db2path
  exit

:NOTDB2PATH

if %4 NEQ -2 goto NOTMQSILIST

  rem ### List MQSI components -  ###
  call %3
  rem @echo on
  mqsilist %5
  exit

:NOTMQSILIST

if %4 NEQ -10 goto NOTDSPMQ
  
  rem ### dspmq -  ###
  dspmq
  exit

:NOTDSPMQ

if %4 NEQ -15 goto NOTCREATEGENERICDB

  rem ### create a generic database using mqsicreatedb -  ###
  call %3
  @echo on
  CALL mqsicreatedb %5 -i %6 -a %7
  exit

:NOTCREATEGENERICDB

if %4 NEQ -16 goto NOTLISTDB2

  rem ### list db2 databases - TASK_LIST_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i listDB2Databases.bat
  exit

:NOTLISTDB2

if %4 NEQ -17 goto NOTCREATEDB2DB

  rem ### create a db2 database - TASK_CREATE_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i createDB2Database.bat %5
  exit

:NOTCREATEDB2DB

if %4 NEQ -18 goto NOTBINDDB2DB

  rem ### bind to a db2 database - TASK_SET_BINDINGS_ON_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i bindtoDB2Database.bat %5 %~s1
  exit

:NOTBINDDB2DB

if %4 NEQ -19 goto NOTGRANTDB2DB

  rem ### grant authorities on a db2 database - TASK_GRANT_AUTH_ON_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i grantOnDB2Database.bat %5 %6
  exit

:NOTGRANTDB2DB

if %4 NEQ -20 goto NOTODBC

  rem ### create a ODBC data source for a db2 database - TASK_CREATE_ODBC_DATASOURCE_FOR_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i createDB2Datasource.bat %5
  exit

:NOTODBC

if %4 NEQ -21 goto NOTPOPULATEDB

  rem ### PlaceHolder - TASK_POPULATE_DB ###
  
  exit

:NOTPOPULATEDB

if %4 NEQ -22 goto NOTDROPDB2DB

  rem ### drop a DB2 database and delete its ODBC connection - TASK_DROP_DB2_DB ###
  cd %~2  
  db2cmd /c /w /i dropDB2Database.bat %5
  exit

:NOTDROPDB2DB

if %4 NEQ -23 goto NOTDROPGENERICDB

  rem ### drop a generic DB - TASK_DROP_GENERIC_DB ###
  call %3
  @echo on
  mqsideletedb %5
  exit

:NOTDROPGENERICDB

rem ### broker tasks ###

if %4 NEQ -24 goto NOTMQSICONFGCMD

  rem ### A Generic command, expected to be an mqsi... command - TASK_RUN_WMQI_COMMAND ###

  call %3
  @echo on
  %~5 
  exit

:NOTMQSICONFGCMD

if %4 NEQ -25 goto NOTMQSIBRKRCMD

  rem ### create a broker - TASK_CREATE_BROKER  ###

  call %3
  @echo on
  %~5
  exit

:NOTMQSIBRKRCMD

if %4 NEQ -26 goto NOTMQSISTRTCFGCMD

  rem ### start configuration manager - TASK_START_CONFIGMGR  ###
  call %3
  @echo on
  mqsistart ConfigMgr
  exit

:NOTMQSISTRTCFGCMD

if %4 NEQ -27 goto NOTMQSISTRTBROKERCMD

  rem ### start broker - TASK_START_BROKER  ###
  call %3
  @echo on
  mqsistart %5
  exit

:NOTMQSISTRTBROKERCMD

if %4 NEQ -28 goto NOTMQCREATEQUEUE

  rem ### Create an MQ queue - TASK_CREATE_MQ_QUEUE ###
  echo DEFINE %5(%6) REPLACE | runmqsc %7
  exit

:NOTMQCREATEQUEUE

if %4 NEQ -29 goto NOTMQDELETEQUEUE

  rem ### Delete an MQ queue - TASK_DELETE_MQ_QUEUE ###
  echo DELETE %5(%6) PURGE | runmqsc %7
  exit

:NOTMQDELETEQUEUE

if %4 NEQ -30 goto NOTMQDELETEMODELQUEUE

  rem ### Delete an MQ model queue - TASK_DELETE_MQ_MODEL_QUEUE ###
  echo DELETE %5(%6) | runmqsc %7
  exit

:NOTMQDELETEMODELQUEUE
  
if %4 NEQ -31 goto NOTMQCREATECHANNEL

  rem ### Create an MQ channel - TASK_CREATE_MQ_CHNL ###
  echo DEFINE CHANNEL(%5) CHLTYPE(%6) REPLACE | runmqsc %7
  exit 

:NOTMQCREATECHANNEL

if %4 NEQ -32 goto NOTMQDELETECHANNEL

  rem ### Delete an MQ channel - TASK_DELETE_MQ_CHNL ###
  echo DELETE CHANNEL(%5) | runmqsc %6
  exit

:NOTMQDELETECHANNEL

if %4 NEQ -33 goto NOTSTARTQM
  
  rem ### Start QueueManager - TASK_START_QM ###
  
  strmqm %5
  if %errorlevel% EQU 0 echo WMQI_WIZ_COMMAND_SUCCESS 
  if %errorlevel% EQU 5 echo WMQI_WIZ_COMMAND_SUCCESS
  exit

:NOTSTARTQM

if %4 NEQ -37 goto NOTADDLISTENER_V5
  
  rem ### Add listener to QueueManager - TASK_CREATE_V5_LISTENER ###
  rem ### Use amqmdain instead of runmqlsr directly because we want control returned to us.
  amqmdain crtlsr %5 -t TCP -p %6
  
  rem ### start all services associated with the qmgr, inc. listener ###
  amqmdain start %5
  
  rem ### check there's now something listening on the right port ###
  rem ### this is a very crude check - it would be better to connect a client ###
  rem ### but it doesn't matter too much as we'll just catch an error later in the wizard
  netstat -a -p TCP
  rem ### above output should include a line with :[port] ... LISTENING
  rem ### ... but we can't rely on the LISTENING as it can vary with locale

  exit

:NOTADDLISTENER_V5

if %4 NEQ -38 goto NOTADDLISTENER_V6
  
  rem ### Add listener to QueueManager - TASK_CREATE_V6_LISTENER ###
  
  echo DEFINE LISTENER(%5) TRPTYPE(TCP) PORT(%6) CONTROL(QMGR) | runmqsc %5
  echo START LISTENER(%5) | runmqsc %5

  exit

:NOTADDLISTENER_V6


if %4 NEQ -39 goto NOTAUTOSTARTUPQM
  
  rem ### Start Default QueueManager Automatically - TASK_MAKE_DFLT_QM_AUTOMATIC ###
  
  amqmdain auto %5
  exit

:NOTAUTOSTARTUPQM
